using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace FileIO1
{
  class Program
  {
    static void Main(string[] args)
    {
      DriveInfo[] allDrives = DriveInfo.GetDrives();

      foreach (DriveInfo d in allDrives)
      {
        Console.WriteLine("Laufwerk {0}", d.Name);
        Console.WriteLine("Typ:     {0}", d.DriveType);
        
        if (d.IsReady == true)
        {
          Console.WriteLine("  Label: {0}", d.VolumeLabel);
          Console.WriteLine("  Dateisystem: {0}", d.DriveFormat);
          Console.WriteLine("  Freier Speicherplatz fr den Benutzer:{0, 15} bytes",
                             d.AvailableFreeSpace);
          Console.WriteLine("  Ingesamt verfgbarer Platz:           {0, 15} bytes",
                             d.TotalFreeSpace);
          Console.WriteLine("  Gesamtgre des Laufwerks:            {0, 15} bytes\n",
                             d.TotalSize);
        }
      }
    }
  }
}
