using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace Stream1
{
  class Program
  {
    static void Main(string[] args)
    {
      byte[] dataOut = new byte[] { 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 };

      FileStream fs = new FileStream(@"D:\Test.dat", FileMode.OpenOrCreate);

      Console.WriteLine("Schreiben:     {0}", fs.CanWrite);
      Console.WriteLine("Lesen:         {0}", fs.CanRead);
      Console.WriteLine("Positionieren: {0}", fs.CanSeek);

      Console.WriteLine("Position:      {0}", fs.Seek(0, SeekOrigin.Current));
      fs.Seek(10, SeekOrigin.Begin);
      Console.WriteLine("Position:      {0}", fs.Seek(0, SeekOrigin.Current));
      fs.Write(dataOut, 0, dataOut.Length);

      fs.Close();

      Console.WriteLine("Schreiben:     {0}", fs.CanWrite);
      Console.WriteLine("Lesen:         {0}", fs.CanRead);
      Console.WriteLine("Positionieren: {0}", fs.CanSeek);

      fs = new FileStream(@"D:\Test.dat", FileMode.Open);

      byte[] dataIn = new byte[20];

      for (int i = 0; i < fs.Length; i++)
      {
        dataIn[i] = (byte) fs.ReadByte();
      }

      fs.Close();

      for (int i = 0; i < 20; i++)
      {
        Console.Write("{0}  ", dataIn[i]);
      }

      Console.WriteLine();
    }
  }
}
