using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace Stream5
{
  class Program
  {
    static void Main(string[] args)
    {
      byte[] dataOut = new byte[] { 1, 2, 3, 4, 5 };

      using (MemoryStream ms = new MemoryStream(100))
      {
        ms.Write(dataOut, 0, 5);

        ms.Seek(0, SeekOrigin.Begin);

        byte[] dataIn = new byte[10];

        ms.Read(dataIn, 0, 10);

        for (int i = 0; i < 10; i++)
        {
          Console.Write("{0}  ", dataIn[i]);
        }

        Console.WriteLine();
      }
    }
  }
}
